# -*- encoding: utf-8 -*-
# stub: rack-cache 1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "rack-cache".freeze
  s.version = "1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ryan Tomayko".freeze]
  s.date = "2020-12-29"
  s.description = "Rack::Cache is suitable as a quick drop-in component to enable HTTP caching for Rack-based applications that produce freshness (Expires, Cache-Control) and/or validation (Last-Modified, ETag) information.".freeze
  s.email = "r@tomayko.com".freeze
  s.extra_rdoc_files = ["CHANGES".freeze, "COPYING".freeze, "README".freeze, "TODO".freeze]
  s.files = ["CHANGES".freeze, "COPYING".freeze, "Gemfile".freeze, "README".freeze, "Rakefile".freeze, "TODO".freeze, "doc/configuration.markdown".freeze, "doc/faq.markdown".freeze, "doc/index.markdown".freeze, "doc/layout.html.erb".freeze, "doc/license.markdown".freeze, "doc/rack-cache.css".freeze, "doc/server.ru".freeze, "doc/storage.markdown".freeze, "example/sinatra/app.rb".freeze, "example/sinatra/views/index.erb".freeze, "lib/rack-cache.rb".freeze, "lib/rack/cache.rb".freeze, "lib/rack/cache/appengine.rb".freeze, "lib/rack/cache/cachecontrol.rb".freeze, "lib/rack/cache/context.rb".freeze, "lib/rack/cache/entitystore.rb".freeze, "lib/rack/cache/key.rb".freeze, "lib/rack/cache/metastore.rb".freeze, "lib/rack/cache/options.rb".freeze, "lib/rack/cache/request.rb".freeze, "lib/rack/cache/response.rb".freeze, "lib/rack/cache/storage.rb".freeze, "rack-cache.gemspec".freeze, "test/cache_test.rb".freeze, "test/cachecontrol_test.rb".freeze, "test/context_test.rb".freeze, "test/entitystore_test.rb".freeze, "test/key_test.rb".freeze, "test/metastore_test.rb".freeze, "test/options_test.rb".freeze, "test/pony.jpg".freeze, "test/request_test.rb".freeze, "test/response_test.rb".freeze, "test/spec_setup.rb".freeze, "test/storage_test.rb".freeze]
  s.homepage = "http://tomayko.com/src/rack-cache/".freeze
  s.rdoc_options = ["--line-numbers".freeze, "--inline-source".freeze, "--title".freeze, "Rack::Cache".freeze, "--main".freeze, "Rack::Cache".freeze]
  s.rubygems_version = "3.2.0.rc.2".freeze
  s.summary = "HTTP Caching for Rack".freeze
  s.test_files = ["test/cache_test.rb".freeze, "test/cachecontrol_test.rb".freeze, "test/context_test.rb".freeze, "test/entitystore_test.rb".freeze, "test/key_test.rb".freeze, "test/metastore_test.rb".freeze, "test/options_test.rb".freeze, "test/request_test.rb".freeze, "test/response_test.rb".freeze, "test/storage_test.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 2
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rack>.freeze, [">= 0.4"])
    s.add_development_dependency(%q<bacon>.freeze, [">= 0"])
    s.add_development_dependency(%q<memcached>.freeze, [">= 0"])
    s.add_development_dependency(%q<dalli>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rack>.freeze, [">= 0.4"])
    s.add_dependency(%q<bacon>.freeze, [">= 0"])
    s.add_dependency(%q<memcached>.freeze, [">= 0"])
    s.add_dependency(%q<dalli>.freeze, [">= 0"])
  end
end
